<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Edit Product') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg p-6">
                
                @if (count($errors) > 0)
                    <div class="mb-4 text-red-600">
                        <strong>Whoops!</strong> There were some problems with your input.<br><br>
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif

                <div class="mb-4">
                    <x-bladewind.button tag="a" href="{{ route('products.index') }}"  color="blue" icon="arrow-left" >{{__('Back')}}</x-bladewind.button>
                </div>


                <form method="POST" action="{{ route('products.update',$product->id) }}">
                    @csrf
                    @method('PUT')
                    <x-bladewind::input name="name" label="{{__('Name')}}:" placeholder="Name" value="{{ $product->name }}"/>
                    <x-bladewind::textarea name="detail" label="{{__('Detail')}}:" placeholder="Detail" :selected_value="old('detail',  $product ->detail)" ></x-bladewind::textarea>
                    <div class="mt-6 text-center">
                        <x-bladewind.button can_submit="true" color="blue" icon="pencil-square" >{{__('Submit')}}</x-bladewind.button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</x-app-layout>
