<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Create New Role') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg p-6">
                
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>{{ __('Whoops!') }}</strong> {{ __('There were some problems with your input.') }}<br><br>
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="mb-4">
                    <x-bladewind.button tag="a" href="{{ route('roles.index') }}"  color="blue" icon="arrow-left" >{{__('Back')}}</x-bladewind.button>
                </div>
                <form method="POST" action="{{ route('roles.store') }}">
                    @csrf
                    <x-bladewind::input name="name" label="{{__('Name')}}:" placeholder="Name"  required="true" />
                    
                    <div class="mb-4">
                        <label class="block font-medium text-sm text-gray-700 dark:text-gray-300">{{ __('Permission') }}:</label>
                        <div class="mt-2 space-y-2">
                            @foreach($permission as $value)
                                <label class="inline-flex items-center">
                                    <input type="checkbox" name="permission[{{$value->id}}]" value="{{$value->id}}" class="form-checkbox">
                                    <span class="ml-2 text-gray-700 dark:text-gray-300">{{ $value->name }}</span>
                                </label>
                            @endforeach
                        </div>
                    </div>
                    
                    <div class="mt-6 text-center">
                        <x-bladewind.button can_submit="true" color="blue" icon="pencil-square" >{{__('Submit')}}</x-bladewind.button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</x-app-layout>
